Skip to main content
GET
/
v5
/
agent-evaluations
/
{evaluation_id}
/
results
Get agent evaluation results
curl --request GET \
  --url https://api.egp.scale.com/v5/agent-evaluations/{evaluation_id}/results \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.egp.scale.com/v5/agent-evaluations/{evaluation_id}/results"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.egp.scale.com/v5/agent-evaluations/{evaluation_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "evaluation_id": "<string>",
  "run_id": "<string>",
  "total_items": 123,
  "completed_items": 123,
  "policy_id": "<string>",
  "source_data_plane_version": "<string>",
  "synced_at": "2023-11-07T05:31:56Z",
  "freshness_seconds": 123,
  "mean_score": 123,
  "p95_latency_ms": 123,
  "error_category_counts": {},
  "projection_name": "evaluation-run-summary",
  "projection_version": "v1"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

evaluation_id
string
required

Response

Successful Response

evaluation_id
string
required
run_id
string
required
status
enum<string>
required
Available options:
pending,
running,
completed,
failed
total_items
integer
required
completed_items
integer
required
policy_id
string
required
source_data_plane_version
string
required
synced_at
string<date-time>
required
freshness_seconds
integer
required
mean_score
number
p95_latency_ms
number
error_category_counts
Error Category Counts · object
projection_name
string
default:evaluation-run-summary
projection_version
string
default:v1